import request from '@/utils/request'
//增加纸张档案
export function addPaperInfo(data) {
  return request({
    url: '/doc/addPaperInfo',
    method: 'post',
    params: data
  })
}

//获取纸张档案列表
export function getPaperInfoList(data) {
  return request({
    url: '/doc/getPaperInfoList',
    method: 'post',
    params: data
  })
}

//获取纸张档案
export function getPaperInfoById(data) {
  return request({
    url: '/doc/getPaperInfo',
    method: 'post',
    params: data
  })
}


//修改纸张档案
export function updatePaperInfo(data) {
  return request({
    url: '/doc/updatePaperInfo',
    method: 'post',
    params: data
  })
}

//新增纸张品牌档案列表
export function addPaperBrand(data) {
  return request({
    url: '/doc/addPaperBrand',
    method: 'post',
    params: data
  })
}
//禁用纸张品牌档案列表
export function voidPaperBrand(data) {
  return request({
    url: '/doc/voidPaperBrand',
    method: 'post',
    params: data
  })
}
//获取纸张品牌档案列表
export function getPaperBrandList(data) {
  return request({
    url: '/doc/getPaperBrandList',
    method: 'post',
    params: data
  })
}

//获取纸张报价档案列表
export function getPaperQuoteInfoList(data) {
  return request({
    url: '/doc/getPaperQuoteInfoList',
    method: 'post',
    params: data
  })
}

//新增纸张报价档案
export function addPaperQuoteInfo(data) {
  return request({
    url: '/doc/addPaperQuoteInfo',
    method: 'post',
    params: data
  })
}

//获取基础纸张信息列表，不分页
export function getPaperBaseInfoListNoPage(data) {
  return request({
    url: '/doc/getPaperBaseInfoListNoPage',
    method: 'post',
    params: data
  })
}

//修改纸张报价档案
export function updatePaperQuoteInfo(data) {
  return request({
    url: '/doc/updatePaperQuoteInfo',
    method: 'post',
    params: data
  })
}



